## pbzip2 0.9.2

=== Makefile ===
# Make file for parallel BZIP2
CC=g++

all: pbzip2

pbzip2: pbzip2.cpp
	$(CC) -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -o pbzip2 pbzip2.cpp -pthread -lpthread -lbz2

pbzip2-static: libbz2.a pbzip2.cpp
	$(CC) -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -o pbzip2 pbzip2.cpp -pthread -lpthread -L. -lbz2

# Compatability mode for 32bit file sizes (less than 2GB)
pbzip2-compat: pbzip2.cpp
	$(CC) -O3 -o pbzip2 pbzip2.cpp -pthread -lpthread -lbz2

clean:
	rm *.o pbzip2

## pbzip2 0.9.6

=== Makefile ===
# Make file for parallel BZIP2
SHELL=/bin/sh

# Compiler to use
CC=g++

# Where you want pbzip2 installed when you do 'make install'
PREFIX=/usr

all: pbzip2

# Standard pbzip2 compile
pbzip2: pbzip2.cpp
	$(CC) -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -o pbzip2 pbzip2.cpp -pthread -lpthread -lbz2

# Choose this if you want to compile in a static version of the libbz2 library
pbzip2-static: libbz2.a pbzip2.cpp
	$(CC) -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -o pbzip2 pbzip2.cpp -pthread -lpthread -I. -L. -lbz2

# Compatability mode for 32bit file sizes (less than 2GB) and systems
# that have compilers that treat int as 64bit natively (ie: modern AIX)
pbzip2-compat: pbzip2.cpp
	$(CC) -O3 -o pbzip2 pbzip2.cpp -pthread -lpthread -lbz2

# Install the binary pbzip2 program and man page
install: pbzip2
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	cp -f pbzip2 $(PREFIX)/bin/pbzip2
	chmod a+x $(PREFIX)/bin/pbzip2
	cp -f pbzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/pbzip2.1

clean:
	rm *.o pbzip2

## pbzip2 1.0.1

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,11 @@
 pbzip2-static: libbz2.a pbzip2.cpp
 	$(CC) -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -o pbzip2 pbzip2.cpp -pthread -lpthread -I. -L. -lbz2
 
+# Choose this if you want to compile pbzip2 without load average support for
+# systems that do not support it
+pbzip2-noloadavg: pbzip2.cpp
+	$(CC) -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DPBZIP_NO_LOADAVG -o pbzip2 pbzip2.cpp -pthread -lpthread -lbz2
+	
 # Compatability mode for 32bit file sizes (less than 2GB) and systems
 # that have compilers that treat int as 64bit natively (ie: modern AIX)
 pbzip2-compat: pbzip2.cpp

## pbzip2 1.0.2

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
 	cp -f pbzip2 $(PREFIX)/bin/pbzip2
 	chmod a+x $(PREFIX)/bin/pbzip2
+	ln -s -f $(PREFIX)/bin/pbzip2 $(PREFIX)/bin/pbunzip2
 	cp -f pbzip2.1 $(PREFIX)/man/man1
 	chmod a+r $(PREFIX)/man/man1/pbzip2.1

## pbzip2 1.0.3

=== Makefile ===
# Make file for parallel BZIP2
SHELL = /bin/sh

# Compiler to use
CC = g++
CFLAGS = -O2

# Comment out CFLAGS line below for compatability mode for 32bit file sizes
# (less than 2GB) and systems that have compilers that treat int as 64bit
# natively (ie: modern AIX)
CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 

# Uncomment CFLAGS line below if you want to compile pbzip2 without load
# average support for systems that do not support it
#CFLAGS += -DPBZIP_NO_LOADAVG

# Where you want pbzip2 installed when you do 'make install'
PREFIX = /usr

all: pbzip2

# Standard pbzip2 compile
pbzip2: pbzip2.cpp
	$(CC) $(CFLAGS) $^ -o pbzip2 -pthread -lpthread -lbz2

# Choose this if you want to compile in a static version of the libbz2 library
pbzip2-static: pbzip2.cpp libbz2.a
	$(CC) $(CFLAGS) $^ -o pbzip2 -pthread -lpthread -I. -L. -lbz2

# Install the binary pbzip2 program and man page
install: pbzip2
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	cp -f pbzip2 $(PREFIX)/bin/pbzip2
	chmod a+x $(PREFIX)/bin/pbzip2
	ln -s -f $(PREFIX)/bin/pbzip2 $(PREFIX)/bin/pbunzip2
	ln -s -f $(PREFIX)/bin/pbzip2 $(PREFIX)/bin/pbzcat
	cp -f pbzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/pbzip2.1

clean:
	rm *.o pbzip2

## pbzip2 1.0.5-1drbl

=== Makefile ===
--- 
+++ 
@@ -40,4 +40,4 @@
 	chmod a+r $(PREFIX)/man/man1/pbzip2.1
 
 clean:
-	rm *.o pbzip2
+	rm -f *.o pbzip2

=== debian/changelog ===
pbzip2 (1.0.5-1drbl) unstable; urgency=low

  * New upstream release 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Jan 2009 19:45:00 +0800

pbzip2 (1.0.4-1drbl) unstable; urgency=low

  * New upstream release 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Dec 2008 10:54:00 +0800

pbzip2 (1.0.3-1) unstable; urgency=low

  * New upstream release 
    - Compress 0 byte files; closes: #497461
  * Standards-Version is 3.8.0
  * Move homepage from description to control header

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Nov 2008 22:31:22 +1100

pbzip2 (1.0.2-0) unstable; urgency=low

  * New upstream release, closes: #434708.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 06 Aug 2007 22:24:43 +1000

pbzip2 (1.0.1-0) unstable; urgency=low

  * New upstream release, closes: #414905.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 May 2007 23:01:52 +1000

pbzip2 (0.9.6-2) unstable; urgency=low

  * Set standars-version to 3.7.2.
  * Set debian/compat to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 23 Jun 2006 19:50:36 +1000

pbzip2 (0.9.6-1) unstable; urgency=low

  * New upstream release, closes: #352116.
    Fixed major decompression bug.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 17 Feb 2006 11:31:50 +1100

pbzip2 (0.9.5-1) unstable; urgency=low

  * New upstream release, closes: #345877.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 04 Jan 2006 13:00:16 +1100

pbzip2 (0.9.4-1) unstable; urgency=low

  * New upstream release, closes: #325794.
  * Set standars-version to 3.6.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 11 Sep 2005 21:46:22 +1000

pbzip2 (0.9.2-2) unstable; urgency=low

  * Fixed "No manual page for binary pbzip2", closes: #311137.
    Patch by Jeff Gilchrist <pbzip2@compression.ca>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 01 Jun 2005 08:41:26 +1000

pbzip2 (0.9.2-1) unstable; urgency=low

  * Initial release, closes: #292541.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 28 May 2005 17:02:11 +1000

=== debian/control ===
Source: pbzip2
Section: utils
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 5), libbz2-dev
Standards-Version: 3.8.0
Homepage: http://compression.ca/pbzip2/

Package: pbzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parallel bzip2 implementation
 pbzip2 is a parallel implementation of the bzip2 block-sorting file
 compressor that uses pthreads and achieves near-linear speedup on SMP
 machines. The output of this version is fully compatible with bzip2
 v1.0.2 (ie: anything compressed with pbzip2 can be decompressed with
 bzip2).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Copyright (C) 2005 Anibal Monsalve Salazar <anibal@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
CFLAGS = -Wall --static

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring m68k,$(DEB_HOST_ARCH)))
	CFLAGS = -Wall -O0
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/pbzip2.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pbzip2
	mv pbzip2 $(CURDIR)/debian/pbzip2/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman pbzip2.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pbzip2 1.1.0-1drbl

=== Makefile ===
--- 
+++ 
@@ -4,15 +4,35 @@
 # Compiler to use
 CC = g++
 CFLAGS = -O2
+#CFLAGS += -g -Wall
+#CFLAGS += -ansi
+#CFLAGS += -pedantic
+#CFLAGS += -std=c++0x
 
 # Comment out CFLAGS line below for compatability mode for 32bit file sizes
 # (less than 2GB) and systems that have compilers that treat int as 64bit
 # natively (ie: modern AIX)
-CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 
+CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 
 # Uncomment CFLAGS line below if you want to compile pbzip2 without load
 # average support for systems that do not support it
 #CFLAGS += -DPBZIP_NO_LOADAVG
+
+# Uncomment CFLAGS line below to get debug output
+#CFLAGS += -DPBZIP_DEBUG
+
+# Comment out CFLAGS line below to disable pthread semantics in code
+CFLAGS += -D_POSIX_PTHREAD_SEMANTICS
+
+# Comment out CFLAGS line below to disable Thread stack size customization
+CFLAGS += -DUSE_STACKSIZE_CUSTOMIZATION
+
+# On some compilers -pthreads
+CFLAGS += -pthread
+
+# External libraries
+LDFLAGS = -lbz2
+LDFLAGS += -lpthread
 
 # Where you want pbzip2 installed when you do 'make install'
 PREFIX = /usr
@@ -20,12 +40,12 @@
 all: pbzip2
 
 # Standard pbzip2 compile
-pbzip2: pbzip2.cpp
-	$(CC) $(CFLAGS) $^ -o pbzip2 -pthread -lpthread -lbz2
+pbzip2: pbzip2.cpp BZ2StreamScanner.cpp
+	$(CC) $(CFLAGS) $^ -o pbzip2 $(LDFLAGS)
 
 # Choose this if you want to compile in a static version of the libbz2 library
-pbzip2-static: pbzip2.cpp libbz2.a
-	$(CC) $(CFLAGS) $^ -o pbzip2 -pthread -lpthread -I. -L. -lbz2
+pbzip2-static: pbzip2.cpp BZ2StreamScanner.cpp libbz2.a
+	$(CC) $(CFLAGS) $^ -o pbzip2 -I. -L. $(LDFLAGS)
 
 # Install the binary pbzip2 program and man page
 install: pbzip2

=== debian/changelog ===
pbzip2 (1.1.0-1drbl) unstable; urgency=low

  * New upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 14 Mar 2010 11:22:00 +0800

pbzip2 (1.0.5-2) unstable; urgency=low

  * Merge 1.0.5-1ubuntu1
    Build with largefile support
    Patch by Tim Bielawa
    Closes: 524383, 551887, 552811
  * Debian source format is 3.0 (quilt)
  * Improve usage()
    Add long options --loadavg, --read
    Add 01-517268-improve-usage-add-long-options.patch
    Patch by Jari Aalto
    Closes: 517268
  * Update man page
    Add 02-517259-add-long-options.patch
    Patch by Jari Aalto
    Closes: 517259
  * DH compatibility level is 7
  * Fix dh-clean-k-is-deprecated
  * Fix out-of-date-standards-version
  * Fix no-upstream-changelog

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2010 12:08:43 +1100

pbzip2 (1.0.5-1ubuntu1) lucid; urgency=low

  * debian/rules: added support for long files so that where pbzip2 recognize
    large files (LP: #363793)

 -- Timothy Bielawa (Shaggy) <tbielawa@csee.wvu.edu>  Thu, 10 Dec 2009 22:50:50 -0500

pbzip2 (1.0.5-1) unstable; urgency=high

  * New upstream release; closes: #517253
    - Compress NFS files; closes: #516761

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 03 Mar 2009 12:03:41 +1100

pbzip2 (1.0.4-2) unstable; urgency=low

  * Upload to unstable 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Feb 2009 11:37:00 +1100

pbzip2 (1.0.4-1) experimental; urgency=low

  * New upstream release 
    - Recognise all bzip2 command line options; closes: #464120
  * Fix lintian message debian-rules-ignores-make-clean-error

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Dec 2008 22:17:41 +1100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 5), libbz2-dev
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 7), libbz2-dev
+Standards-Version: 3.8.4
 Homepage: http://compression.ca/pbzip2/
 
 Package: pbzip2

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export DH_VERBOSE=1
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-CFLAGS = -Wall --static
+CFLAGS = -Wall
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -22,6 +22,8 @@
 ifneq (,$(findstring m68k,$(DEB_HOST_ARCH)))
 	CFLAGS = -Wall -O0
 endif
+
+CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 
 configure: configure-stamp
 configure-stamp:
@@ -46,14 +48,14 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/pbzip2.
@@ -69,7 +71,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman pbzip2.1

=== debian/watch ===
version=3
http://compression.ca/pbzip2/pbzip2-(.*).tar.gz

## pbzip2 1.1.1

=== debian/changelog ===
pbzip2 (1.1.1-1) unstable; urgency=low

  * New upstream release 
    Closes: 578386
    Fix "echo foo | pbzip2 -9 > bar doesn't work"
    Closes: 559974

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 24 Apr 2010 08:06:40 +1000

pbzip2 (1.1.0-1) unstable; urgency=low

  * New upstream release
    Closes: 573764
  * Patches merged upstream:
    01-517268-improve-usage-add-long-options.patch
    02-517259-add-long-options.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Mar 2010 13:45:49 +1100

## pbzip2 1.1.1-1drbl

=== debian/changelog ===
pbzip2 (1.1.1-1drbl) unstable; urgency=low

  * New upstream release 

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 23 Apr 2009 11:26:00 +0800

## pbzip2 1.1.4-1drbl

=== debian/changelog ===
pbzip2 (1.1.4-1drbl) unstable; urgency=low

  * New upstream release 

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jun 2011 11:16:21 +0800

## pbzip2 1.1.5

=== debian/changelog ===
pbzip2 (1.1.5-1) unstable; urgency=low

  * New upstream
    v1.1.5 (Jul 16, 2011)
    - Fixed excessive output permissions while compress/decompress is in
      progress (bug #807536)
      Closes: 633087

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 20 Jul 2011 09:48:13 +1000

pbzip2 (1.1.4-1) unstable; urgency=low

  * New upstream
    v1.1.4 (Apr 22, 2011)   
    - Fixed hang on decompress with --ignore-trailing-garbage=1 when producer
      is interrupted on trailing garbage (bug #762464)
    - Added example to help for decompression piped to tar (bug #746806)
    - Fixed typo in Trailing Garbage printed message (bug #746799)
    v1.1.3 (Mar 27, 2011)   
    - Fixed hang on decompress with --ignore-trailing-garbage=1 and higher
      numCPU (e.g. > 2) (bug #740502)
    - Print trailing garbage errors even when in quiet mode (bug #743635)
    - Default extension on decompress of .tbz2 changed to .tar for bzip2
      compatibility (bug #743639)
    v1.1.2 (Feb 19, 2011)   
    - Fix directdecompress segfault when destination file can't be opened
      (e.g. read-only) (bug #717852)
    - Implemented --ignore-trailing-garbage feature (bug #594868)
    - Fixed hang on decompress of some truncated archives (bug #590225)
    - Pulled an error check out of normal logic block for clarity
    - Debug print added after BZ2_bzDecompress to track it's return code.
    - A debug print fixed in queue::remove
    - Increased max memory usage limit from 1GB to 2GB
    - If no -m switch given on command line, default max memory limit will now
      automatically increase from 100 MB to minimum amount of memory required
      to support the number of CPUs requested
    - Improved performance when output buffer is full
    - Fixed bug which caused hang while decompressing prematurely truncated
      bzip2 stream
    - Consumer_decompress throttling modified to prevent potential
      deadlock/infinite loop in certain situations (Thanks to Laszlo Ersek for
      finding and helping track down the cause of this bug)
    - Fixed deadlock bug and performance issue when consumer working with long
      bzip2 sequences (Thanks to Tanguy Fautre for finding)
    - Fixed error message for block size range (max size was wrong)
    - Moved #include <pthread.h> from pbzip2.cpp to pbzip2.h to fix OS/2
      compiler issue
  * Fix debian-rules-missing-recommended-target
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 29 Jun 2011 08:57:50 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 7), libbz2-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://compression.ca/pbzip2/
 
 Package: pbzip2

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 
 	touch configure-stamp
 
+build-arch: build
+build-indep: build
 build: build-stamp
 
 build-stamp: configure-stamp 
@@ -83,7 +85,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zbzip2 -z9
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## pbzip2 1.1.6

=== debian/changelog ===
pbzip2 (1.1.6-1) unstable; urgency=low

  * New upstream version 1.1.6
    Changes in 1.1.6 (Oct 30, 2011)
    - Fixed bug - deadlock due to unsynchronized broadcasts (bug #876686)
    - Prevent deletion of input files on error (bug #874543)
      Closes: 638632
    - Document how to compress/decompress from standard input (bug #820525)
    - Added more detailed kernel error messages (bug #874605)
    - Error-handling fixes for multi-archive scenarios (bug #883782)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Nov 2011 08:41:14 +1100

## pbzip2 1.1.8

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,12 @@
 # Comment out CFLAGS line below to disable Thread stack size customization
 CFLAGS += -DUSE_STACKSIZE_CUSTOMIZATION
 
+# Comment out CFLAGS line below to explicity set ignore trailing garbage
+# default behavior: 0 - disabled; 1 - enabled (ignore garbage by default)
+# If IGNORE_TRAILING_GARBAGE is not defined: behavior is automatically determined
+# by program name: bzip2, bunzip2, bzcat - ignore garbage; otherwise - not.
+#CFLAGS += -DIGNORE_TRAILING_GARBAGE=1
+
 # On some compilers -pthreads
 CFLAGS += -pthread
 
@@ -40,11 +46,11 @@
 all: pbzip2
 
 # Standard pbzip2 compile
-pbzip2: pbzip2.cpp BZ2StreamScanner.cpp
+pbzip2: pbzip2.cpp BZ2StreamScanner.cpp ErrorContext.cpp
 	$(CC) $(CFLAGS) $^ -o pbzip2 $(LDFLAGS)
 
 # Choose this if you want to compile in a static version of the libbz2 library
-pbzip2-static: pbzip2.cpp BZ2StreamScanner.cpp libbz2.a
+pbzip2-static: pbzip2.cpp BZ2StreamScanner.cpp ErrorContext.cpp libbz2.a
 	$(CC) $(CFLAGS) $^ -o pbzip2 -I. -L. $(LDFLAGS)
 
 # Install the binary pbzip2 program and man page

=== debian/changelog ===
pbzip2 (1.1.8-1) unstable; urgency=low

  * New upstream version 1.1.8
    Changes in 1.1.8 (Jun 10, 2012)
    - Fix of metadata unpreserved on empty files compress (bug #1011021)
      Closes: #658239

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 12 Jun 2012 16:49:43 +1000

pbzip2 (1.1.7-1) unstable; urgency=low

  * New upstream release 1.1.7
    Changes in 1.1.7 (Dec 11, 2011)
    - Fixed refusal to write to stdout on -dc from stdin (bug #886628)
      Closes: #647700
    - Fixed occasional failure on decompress with --ignore-trailing-garbage=1 
      with multiple bad blocks in the archive (bug #886625)
      Closes: #647702
  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Use hardening options
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Jun 2012 12:07:11 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 7), libbz2-dev
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libbz2-dev
+Standards-Version: 3.9.3
 Homepage: http://compression.ca/pbzip2/
 
 Package: pbzip2

## pbzip2 1.1.9

=== Makefile ===
# Make file for parallel BZIP2
SHELL = /bin/sh


# Compiler to use
CXX = g++


# Thread-related flags
# On some compilers -pthreads
CXXFLAGS_PTHREAD = -pthread

# Comment out CXXFLAGS line below to disable pthread semantics in code
CXXFLAGS_PTHREAD += -D_POSIX_PTHREAD_SEMANTICS

LDLIBS_PTHREAD = -lpthread


# Optimization flags
CXXFLAGS = -O2

#CXXFLAGS += -g -Wall
#CXXFLAGS += -ansi
#CXXFLAGS += -pedantic
#CXXFLAGS += -std=c++0x

# Comment out CXXFLAGS line below for compatability mode for 32bit file sizes
# (less than 2GB) and systems that have compilers that treat int as 64bit
# natively (ie: modern AIX)
CXXFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

# Uncomment CXXFLAGS line below if you want to compile pbzip2 without load
# average support for systems that do not support it
#CXXFLAGS += -DPBZIP_NO_LOADAVG

# Uncomment CXXFLAGS line below to get debug output
#CXXFLAGS += -DPBZIP_DEBUG

# Comment out CXXFLAGS line below to disable Thread stack size customization
CXXFLAGS += -DUSE_STACKSIZE_CUSTOMIZATION

# Comment out CXXFLAGS line below to explicity set ignore trailing garbage
# default behavior: 0 - disabled; 1 - enabled (ignore garbage by default)
# If IGNORE_TRAILING_GARBAGE is not defined: behavior is automatically determined
# by program name: bzip2, bunzip2, bzcat - ignore garbage; otherwise - not.
#CXXFLAGS += -DIGNORE_TRAILING_GARBAGE=1

# Add thread-related flags
CXXFLAGS += $(CXXFLAGS_PTHREAD)


# Linker flags
LDFLAGS =


# External libraries
LDLIBS = -lbz2
LDLIBS += $(LDLIBS_PTHREAD)


# Where you want pbzip2 installed when you do 'make install'
PREFIX = /usr


all: pbzip2

# Standard pbzip2 compile
pbzip2: pbzip2.cpp BZ2StreamScanner.cpp ErrorContext.cpp
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o pbzip2 $(LDLIBS)

# Choose this if you want to compile in a static version of the libbz2 library
pbzip2-static: pbzip2.cpp BZ2StreamScanner.cpp ErrorContext.cpp libbz2.a
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ -o pbzip2 -I. -L. $(LDLIBS)

# Install the binary pbzip2 program and man page
install: pbzip2
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	cp -f pbzip2 $(PREFIX)/bin/pbzip2
	chmod a+x $(PREFIX)/bin/pbzip2
	ln -s -f $(PREFIX)/bin/pbzip2 $(PREFIX)/bin/pbunzip2
	ln -s -f $(PREFIX)/bin/pbzip2 $(PREFIX)/bin/pbzcat
	cp -f pbzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/pbzip2.1

clean:
	rm -f *.o pbzip2

=== debian/changelog ===
pbzip2 (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9.
    Changes in 1.1.9 (Apr 13, 2014)
    - Makefile refinements
    - close redirected stdout on finish for better AFS/NFS support
      (bug #1300876)
    - Fix printf format vs actual type misalignments (#1236086)
  * Standards-Version: 3.9.5.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Sep 2014 06:13:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libbz2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://compression.ca/pbzip2/
 
 Package: pbzip2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring m68k,$(DEB_HOST_ARCH)))
	CFLAGS = -Wall -O0
endif

CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS += -lbz2 -lpthread

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build-arch: build
build-indep: build
build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pbzip2
	mv pbzip2 $(CURDIR)/debian/pbzip2/usr/bin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman pbzip2.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
https://launchpad.net/pbzip2/+download https://launchpad.net/pbzip2/[\d\.]*/[\d\.]*/\+download/pbzip2-([\d\.]*).tar.gz

## pbzip2 1.1.13

=== debian/changelog ===
pbzip2 (1.1.13-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #925010)
  * debian/control: add Vcs tags.
  * debian/copyright: update upstream year.
  * debian/docs: add AUTHORS.
  * debian/patches:
    - Added bzip2: fix typo in binary.
    - Modified Makefile: upstream fixed man page install location.
  * debian/rules: remove dh_auto_install override, no longer necessary.
  * debian/source/include-binaries: add random data binaries for tests.
  * debian/tests: add compression and decompression tests.
  * debian/watch: update to version 4 and check for other extensions.

 -- William Grzybowski <william@grzy.org>  Wed, 10 Jul 2019 09:32:14 -0300

pbzip2 (1.1.9-2) unstable; urgency=medium

  * QA upload.
  * Add auto pkg test.
  * Add patch to build debug symbols, enable hardening, install manpage
    on correct location and do not install symlinks.
  * Add yml for Salsa CI.
  * debian/changelog: remove trailing spaces.
  * debian/control:
    - Adjust build dependencies using new debhelper.
    - Change maintainer to QA group (see #925010).
    - Update Homepage.
    - Update Standards-Version to 4.4.0.
  * debian/copyright:
    - Add and update all debian maintainers.
    - Update copyright years for upstream maintainer.
    - Update to format 1.0.
  * debian/dirs: no longer necessary, file removed.
  * debian/rules:
    - Add hardening support.
    - Simplify and modernize.

 -- William Grzybowski <william@grzy.org>  Mon, 08 Jul 2019 18:30:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pbzip2
 Section: utils
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libbz2-dev
-Standards-Version: 3.9.5
-Homepage: http://compression.ca/pbzip2/
+Maintainer: William Grzybowski <william@grzy.org>
+Build-Depends: debhelper-compat (= 12), libbz2-dev
+Standards-Version: 4.4.0
+Homepage: https://launchpad.net/pbzip2/
+Vcs-Browser: https://salsa.debian.org/wg-guest/pbzip2
+Vcs-Git: https://salsa.debian.org/wg-guest/pbzip2.git
 
 Package: pbzip2
 Architecture: any

=== debian/tests/control ===
Test-Command: pbzip2 -h 2>&1 | grep Example:

Test-Command: test "$(pbzip2 -c -d debian/tests/stuff/random10K.gz | sha1sum | cut -d" " -f1)" = "$(sha1sum debian/tests/stuff/random10K | cut -d" " -f1)"

Test-Command: test "$(pbzip2 -c -z debian/tests/stuff/random10K | sha1sum | cut -d" " -f1)" = "$(sha1sum debian/tests/stuff/random10K.gz | cut -d" " -f1)"
